VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4125
   ClientLeft      =   2625
   ClientTop       =   3105
   ClientWidth     =   6240
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4125
   ScaleWidth      =   6240
   Begin VB.PictureBox HiddenPict 
      AutoSize        =   -1  'True
      Height          =   2085
      Left            =   720
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   2025
      ScaleWidth      =   3090
      TabIndex        =   0
      Top             =   480
      Visible         =   0   'False
      Width           =   3150
   End
   Begin VB.PictureBox Pict 
      AutoSize        =   -1  'True
      Height          =   4110
      Left            =   0
      ScaleHeight     =   4050
      ScaleWidth      =   6180
      TabIndex        =   1
      Top             =   0
      Width           =   6240
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuScale 
      Caption         =   "&Scale"
      Begin VB.Menu mnuSetScale 
         Caption         =   "x 1/4"
         Index           =   0
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "x 1/2"
         Index           =   1
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "&Full Scale"
         Index           =   2
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "x &2"
         Index           =   3
      End
      Begin VB.Menu mnuSetScale 
         Caption         =   "x &4"
         Index           =   4
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private ScaleFactor As Single

' *********************************************
' Display the picture at the correct scale.
' *********************************************
Private Sub DrawPicture()
Dim wid As Single
Dim hgt As Single

    wid = HiddenPict.ScaleWidth * ScaleFactor
    hgt = HiddenPict.ScaleHeight * ScaleFactor
    Pict.Cls
    Pict.Move 0, 0, wid, hgt
    DoEvents
    Pict.PaintPicture HiddenPict.Picture, _
        0, 0, wid, hgt, 0, 0, _
        HiddenPict.ScaleWidth, _
        HiddenPict.ScaleHeight
End Sub

Private Sub mnuSetScale_Click(Index As Integer)
Dim i As Integer

    For i = 0 To 4
        mnuSetScale(i).Checked = False
    Next i
    mnuSetScale(Index).Checked = True
    
    Select Case Index
        Case 0
            ScaleFactor = 0.25
        Case 1
            ScaleFactor = 0.5
        Case 2
            ScaleFactor = 1
        Case 3
            ScaleFactor = 2
        Case 4
            ScaleFactor = 4
    End Select
    
    ' Redraw.
    DrawPicture
End Sub


